#include "Monocle.h"
#include "Graphics/SpriteAnimation.h"
#include "LevelEditor/LevelEditor.h"
#include "Graphics/Tilemap.h"

using namespace Monocle;

namespace Dark
{
  class Player : public Entity
  {
  public:
    Player();
    void Update();

    Vector2 velocity;

    SpriteAnimation *sprite;

    float const VELOCITY;
  };

  class DarkScene : public Scene
  {
  public:
    DarkScene();
    void Begin();
    void Update();

    LevelEditor *levelEditor;
  };

  class Text: public Entity
  {
  public:
    Text(const std::string& text, FontAsset* font=NULL);
    
    void Render();
    
    void SetFont(FontAsset* font) { this->font = font; }
    void SetText(const std::string& text) { this->text = text; }
    
  protected:
    FontAsset* font;
    std::string text;
  };
}

